package com.ruoyi.system.mapper.house;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ruoyi.system.domain.house.HouseResource;
import com.ruoyi.system.domain.house.vo.HouseResourcePage;
import com.ruoyi.system.domain.house.vo.HouseResourcePageQuery;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface HouseResourceMapper {

    void insertHouseResource(HouseResource houseResource);

    HouseResource selectHouseResourceById(String id);

    void updateHouseResource(HouseResource houseResource);

    void deleteHouseResourceById(String id);

    void batchInsertHouseResources(List<HouseResource> houseResources);

    IPage<HouseResourcePage> selectPage(IPage<HouseResource> page, @Param("query") HouseResourcePageQuery houseResourcePageQuery);

    List<HouseResourcePage> selectProfileGraph(@Param("query") HouseResourcePageQuery houseResourcePageQuery);

    List<HouseResourcePage> selectList(@Param("query") HouseResourcePageQuery houseResourcePageQuery);

    List<HouseResource> selectAll();

    List<HouseResource> selectPageBusinessEntityStatistics();
}
